%define version 0.8.3
%define add_rel %nil
%def_disable static

Name: lirc
Version: 0.8.3
Release: alt1.cvs20080313

Summary: The Linux Infrared Remote Control package
License: GPL
Group: System/Base
URL: http://www.lirc.org

Source: %name-%version%add_rel.tar.bz2
Source1: lircd
Source2: pathdown.sh
Source4: lircd.sysconfig
Patch: %name-0.8.1-alt-configure.patch
Patch1: %name-0.7.0-i2c_fixes.patch
Patch2: %name-0.8.0pre4-hiddev_fix.patch
Patch3: %name-alt-font-fix.patch

Packager: L.A. Kostis <lakostis@altlinux.org>

# Automatically added by buildreq on Fri Jan 20 2006
BuildRequires: libalsa-devel libusb-devel glibc-kernheaders xorg-x11-devel help2man

Requires: modutils

%description
LIRC is a package that allows you to decode and send infra-red signals
of many (but not all) commonly used remote controls.

%package -n liblirc
Summary: Client library for LIRC
Group: System/Libraries

%description -n liblirc
Libraries needed by programs, which uses LIRC

%package -n kernel-source-%name
Summary: Linux LIRC module sources
Group: Development/Kernel

%description -n kernel-source-%name
Linux LIRC module sources.

%package -n liblirc-devel
Summary: Development for LIRC
Group: Development/C
Requires: lib%name = %version-%release

%description -n liblirc-devel
Development library for LIRC

%package -n liblirc-devel-static
Summary: Development for LIRC
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n liblirc-devel-static
Static library for LIRC

%prep
%setup -q -n %name-%version%add_rel
%patch -p1
#%%patch1 -p0
%patch2 -p1
%patch3 -p1

%build
%__autoreconf
%configure  %{subst_enable static} --localstatedir=%_var --with-x --with-major=61 \
	    --with-syslog --with-driver=userspace --with-port=0x3f8 --with-irq=4
NPROCS=1
%make_build

%install
%makeinstall devdir=$RPM_BUILD_ROOT/dev
%__mkdir_p $RPM_BUILD_ROOT%_initdir
%__mkdir_p $RPM_BUILD_ROOT/dev
%__install -p -m600 contrib/lircd.conf contrib/lircmd.conf $RPM_BUILD_ROOT%_sysconfdir
%__install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/lircd
%__install -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir
%__chmod +x $RPM_BUILD_ROOT%_initdir/lircd
touch $RPM_BUILD_ROOT/dev/lirc
%makeinstall -C $RPM_BUILD_DIR/%name-%version%add_rel/doc/man

t=$(pwd)/kernel-source-%name-%version
rm -rf $t
%__mkdir_p $t/drivers/scripts
%__mkdir_p $RPM_BUILD_ROOT%_usrsrc/kernel/sources
%__cp config.h $t/
%__cp drivers/{*.h,Makefile.kernel} $t/drivers/
%__cp %SOURCE2 $t/drivers/scripts/

pushd drivers
for d in $(ls | fgrep lirc_); do
    if [ -f $d/$d.c ]; then
	    %__mkdir_p $t/drivers/$d
	    %__cp -a $d/*.c $d/*.h $t/drivers/$d/ ||:
    fi
done
popd

%__tar cfj \
        $RPM_BUILD_ROOT%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2 \
        kernel-source-%name-%version

%pre
/usr/sbin/groupadd -r -f %name &> /dev/null ||:

%post
%post_service lircd

%preun
%preun_service lircd

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%config(noreplace) %_sysconfdir/sysconfig/*
%config(noreplace) %_sysconfdir/*.conf
%_initdir/*
%_bindir/[^smode2]*
%attr(2711,root,%name) %_sbindir/lircd
%_sbindir/lircmd
%doc NEWS TODO remotes doc/lirc.css doc/irxevent.keys doc/html-source doc/images
%_man1dir/*.1*
%_man8dir/*.8*

%files -n kernel-source-%name
%_usrsrc/*/*/*

%files -n liblirc
%_libdir/liblirc_client.so.*

%files -n liblirc-devel
%_libdir/liblirc_client.so
%_includedir/*

%if_enabled static
%files -n liblirc-devel-static
%_libdir/liblirc_client.a
%endif #static

%changelog
* Thu Mar 13 2008 L.A. Kostis <lakostis@altlinux.ru> 0.8.3-alt1.cvs20080313
- 2008-03-13 CVS snapshot.
- remove commandir driver (already included).
- fix init script priority (start lircd before dm).

* Sun Nov 04 2007 L.A. Kostis <lakostis@altlinux.ru> 0.8.2-alt1
- 0.8.2.
- update commandir driver to 1.4.4 version.

* Sat May 19 2007 L.A. Kostis <lakostis@altlinux.ru> 0.8.1-alt2
- fix bogus font in xmode2 (ALT #9149).

* Sat Feb 17 2007 L.A. Kostis <lakostis@altlinux.ru> 0.8.1-alt1
- 0.8.1 version.
- remove obsoleted patches.
- update commandir driver to 1.4.2 version.
- update -alt-config patch.

* Wed May 10 2006 LAKostis <lakostis at altlinux.ru> 0.8.0-alt4
- Some init.d script improvements (see #9454).

* Tue May 09 2006 LAKostis <lakostis at altlinux.ru> 0.8.0-alt3.1
- Fixed typo in post (see #9534).

* Sat Apr 29 2006 LAKostis <lakostis at altlinux.ru> 0.8.0-alt3
- Added sources:
  + commandir-1.4.1 - CommandIR Mini hardware driver.
- Added patches:
  + lirc-0.8.0-2-cmdir.patch - update cmdir patch from vendor.
  + commandir-1.4.1-cleanup.patch - update commandir kernel driver 
    for 2.6.16+ kernel.
- Add post/preun service.

* Mon Apr 03 2006 LAKostis <lakostis at altlinux.ru> 0.8.0-alt2
- Added patches:
  + lirc-drivers-cvs-update.patch - sync drivers changes 
    for 2.6.16+ kernels.
  
* Tue Feb 14 2006 LAKostis <lakostis at altlinux.ru> 0.8.0-alt1
- new version 0.8.0.
- update Makefile for kernel modules.

* Fri Jan 20 2006 LAKostis <lakostis at altlinux.ru> 0.8.0-alt1.pre4
- 0.8.0pre4.
- spec cleanup.
- update buildreq.
- disable static builds by default.

* Thu Nov 27 2003 Kachalov Anton <mouse@altlinux.ru> 0.7.0-alt4
- removed .la file

* Fri Oct 17 2003 Kachalov Anton <mouse@altlinux.ru> 0.7.0-alt3
- fix in start up script (--lock-file option replace with --lockfile, #3177)

* Tue Sep 23 2003 Kachalov Anton <mouse@altlinux.ru> 0.7.0-alt2
- kernel source makefile fix

* Fri Sep 19 2003 Kachalov Anton <mouse@altlinux.ru> 0.7.0-alt1
- new version 0.7.0 (from CVS)
- building kernel-source package

* Tue Oct 29 2002 Kachalov Anton <mouse@altlinux.ru> 0.6.6-alt1
- new version 0.6.6

* Mon Oct 28 2002 Kachalov Anton <mouse@altlinux.ru> 0.6.5-alt2
- remove smode2 from the package

* Tue Feb 26 2002 Kachalov Anton <mouse@altlinux.ru> alt1
- new version (0.6.5) build

* Mon Jan 21 2002 Kachalov Anton <mouse@altlinux.ru> alt3
- syncing with new dev package

* Fri Jan 11 2002 Kachalov Anton <mouse@altlinux.ru> alt2
- added group lirc
- configure with --localstatedir=/var
- startup script fix

* Wed Jan 09 2002 Kachalov Anton <mouse@altlinux.ru> alt1
- build for Sisyphus
